Bug 110198 - kickstart install not obeying package list
Summary: kickstart install not obeying package list
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-16 22:05 UTC by Craig Boyce
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 15:40:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ks.cfg for install (8.08 KB, text/plain)
2003-11-16 22:08 UTC, Craig Boyce
no flags Details
installed rpms (15.56 KB, text/plain)
2003-11-16 22:09 UTC, Craig Boyce
no flags Details

Description Craig Boyce 2003-11-16 22:05:08 UTC
Description of problem: 
Kickstart install fails to obey package selection as specified in 
ks.cfg with --ignoredeps flag 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
always 
 
Steps to Reproduce: 
1. Write a ks.cfg containing a specific set of packages and no 
package groups. 
2. reinstall system using this ks.cfg 
3. run rpm -qa > intalledrpms.txt 
4. diff against ks.cfg to find extra packages 
   
Actual results: 
Packages not specified in ks.cfg are installed 
 
Expected results: 
Only packages listed in ks.cfg are installed and --ignoredeps flag 
obeyed 
 
Additional info:

Comment 1 Craig Boyce 2003-11-16 22:08:22 UTC
Created attachment 96006 [details]
ks.cfg for install

Comment 2 Craig Boyce 2003-11-16 22:09:00 UTC
Created attachment 96007 [details]
installed rpms

Comment 3 Jeremy Katz 2004-10-05 15:40:15 UTC
With changes to the installation process (including not fully
exploding dependencies within the comps file), --ignoredeps can no
longer be implemented in a sensible way to avoid leaving people with a
broken system.


Note You need to log in before you can comment on or make changes to this bug.